// use super::*;

#[cfg(test)]
mod tests {
    use crate::assembler::parser;

    #[test]
    fn parser_test() {
        println!("Parser test begins");
        let code = std::fs::read_to_string("./tests/assembly/hello_world.grasm").unwrap();

        let parser = parser::Parser::new(code);

        let r = parser.parse_sections().unwrap();

        println!("Parsed sections: {:?}", r);
    }
}
